<?php
/**
 * @copyright	Copyright (C) 2011 Simplify Your Web, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

if (!isset($this->error)) {
	$this->error = JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
	$this->debug = false; 
}

/* get parameters */
$app = JFactory::getApplication();
$templateparams	= $app->getTemplate(true)->params;

$theme = str_replace('theme_', '', $templateparams->get('style'));
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
	<head>
		<title><?php echo $this->error->getCode(); ?> - <?php echo $this->title; ?></title>
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/base.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/error.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/theme_<?php echo $theme;?>.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/fonts/fonts.css" type="text/css" />
		<?php if((int)$templateparams->get('templatewidth')>0) : ?>
			<style type="text/css">
				#errorboxoutline {
					width: <?php echo (int)$templateparams->get('templatewidth');?>px;
					margin-left: -<?php echo (int)$templateparams->get('templatewidth')/2;?>px;
				}
			</style>
		<?php endif; ?>
		<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/modernizr.custom.js"></script>		
	</head>
	<body>
		<div class="error">
			<div id="outline">
				<div id="errorboxoutline">
					<div id="errorboxheader">
						<div id="errorlogo">					
							<?php if ($templateparams->get('logo') != null ): ?>						
								<a href="/" id="logo" title="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>">
									<img src="<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($templateparams->get('logo')); ?>" alt="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>" />
								</a>
								<h1 style="display:none"><?php echo htmlspecialchars($templateparams->get('sitetitle'));?></h1>
							<?php else: ?>
								<h1><?php echo htmlspecialchars($templateparams->get('sitetitle'));?></h1>
							<?php endif; ?>					
							<h2><?php echo $this->error->getCode(); ?> - <?php echo $this->error->getMessage(); ?></h2>
						</div>						
						<div id="errormenubar">
							<div id="errormenu">
								<ul>
									<li><a href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?></a></li>
									<li><a href="<?php echo $this->baseurl; ?>/index.php?option=com_search" title="<?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?></a></li>		
								</ul>
							</div>
						</div>						
					</div>
					<div id="errorboxbody">
						<p><?php echo JText::_('JERROR_LAYOUT_NOT_ABLE_TO_VISIT'); ?></p>
						<ol>
							<li><?php echo JText::_('JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE'); ?></li>
							<li><?php echo JText::_('JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING'); ?></li>
							<li><?php echo JText::_('JERROR_LAYOUT_MIS_TYPED_ADDRESS'); ?></li>
							<li><?php echo JText::_('JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE'); ?></li>
							<li><?php echo JText::_('JERROR_LAYOUT_REQUESTED_RESOURCE_WAS_NOT_FOUND'); ?></li>
							<li><?php echo JText::_('JERROR_LAYOUT_ERROR_HAS_OCCURRED_WHILE_PROCESSING_YOUR_REQUEST'); ?></li>
						</ol>		
						<p><?php echo JText::_('JERROR_LAYOUT_PLEASE_CONTACT_THE_SYSTEM_ADMINISTRATOR'); ?></p>
						<h2><?php echo $this->error->getCode(); ?> - <?php echo $this->error->getMessage(); ?></h2>
						<div id="techinfo">
							<p>
								<?php if ($this->debug) :
									echo $this->renderBacktrace();
								endif; ?>
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
