<?php
/**
 * @copyright	Copyright (C) 2011 Simplify Your Web, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/* The following line loads the MooTools JavaScript Library */
JHtml::_('behavior.framework', true);

/* get parameters */
$app = JFactory::getApplication();
$templateparams	= $app->getTemplate(true)->params;
$config = JFactory::getConfig();

$theme = str_replace('theme_', '', $templateparams->get('style'));

/* added extra class so we can distinguish screens and change colors per menu item for instance */
$extraclass = '';
$itemid	= JRequest::getString('Itemid');
$menu	= $app->getMenu();
if (empty($itemid)) {
if ($menu->getActive()) {
		$extraclass .= $menu->getActive()->alias;	
	}
} else {
	if ($menu->getItem($itemid)) {
		$extraclass .= $menu->getItem($itemid)->alias;
	}
}
?>

<?php echo '<?'; ?>xml version="1.0" encoding="<?php echo $this->_charset ?>"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
	<head>
		<!-- The following JDOC Head tag loads all the header and meta information from the site config and content. -->
		<jdoc:include type="head" />
		
		<link rel="shortcut icon" href="<?php echo $this->baseurl ?>/favicon.ico" />

		<!-- The following line loads the template CSS file located in the template folder. -->
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/base.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/joomla.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/screen.css" type="text/css" media="screen" />
		
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/theme_<?php echo $theme;?>.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/extensions_<?php echo $theme;?>.css" type="text/css" media="screen" />
		
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" media="screen" />
		<?php if($this->direction == 'rtl') : ?>
			<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_rtl.css" type="text/css" />
		<?php endif; ?>
		<!--[if lte IE 8]>
			<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_ie.css" type="text/css" />
		<![endif]-->		
		
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/print.css" type="text/css" media="print" />
		
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/fonts.css" type="text/css" />
		
		<?php if ($templateparams->get('templatewidth')>0) : ?>
			<style type="text/css">
				#template_framework, #template_framework_footer {
					width: <?php echo $templateparams->get('templatewidth');?>px;
					margin-left: -<?php echo $templateparams->get('templatewidth')/2;?>px; 
				}
			</style>
		<?php endif; ?>
		
		<?php if ($templateparams->get('columnwidth')>0) : ?>
			<style type="text/css">
				#template_content_container.left {
					background-position: <?php echo $templateparams->get('columnwidth');?>px 0; /* + 10 */
				}
				
				#template_content_container.right {
					background-position: <?php echo $templateparams->get('templatewidth') - $templateparams->get('columnwidth');?>px 0; /* -10 */
				}
			
				#template_content {
					width: <?php echo $templateparams->get('templatewidth') - $templateparams->get('columnwidth');?>px; /* -20 */
					padding: 0;
				}
				.left #template_content {
					/*margin-left: 10px;*/
					margin-left: 0;
				}
				#template_sidebar {
					width: <?php echo $templateparams->get('columnwidth');?>px;
				}				
				.left #template_sidebar {
					/*margin: 0 10px 0 0;*/
					margin: 0;
				}				
				.right #template_sidebar {
					/*margin: 0 0 0 10px;*/
					margin: 0;
				}
			</style>
		<?php endif; ?>
		
		<!-- The following line loads the template JavaScript file located in the template folder. -->
		<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/template.js"></script>
		<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/modernizr.custom.js"></script>
	</head>
	<body>
		<div id="template_framework_outer" class="<?php echo $extraclass; ?>">
			<div id="template_framework">
			
				<div id="template_header_container">
				
					<div id="template_topmenubar" class="group">							
						<?php if($this->countModules('template-search')) : ?>
							<div id="template_search">
								<jdoc:include type="modules" name="template-search" style="none" />
							</div>
						<?php endif; ?>
										
						<?php if($this->countModules('template-topmenu')) : ?>
							<div id="template_topmenu">
								<jdoc:include type="modules" name="template-topmenu" style="xhtml" />
							</div>
						<?php endif; ?>	
					</div>
				
					<div id="template_header" class="group">
						<?php if ($templateparams->get('logo') != null ): ?>						
							<a href="/" id="logo" title="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>">
								<img src="<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($templateparams->get('logo')); ?>" alt="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>" />
							</a>
							<h1 style="text-indent: -9999px; font-size: 0; line-height: 0; margin: 0; padding: 0;"><?php echo htmlspecialchars($templateparams->get('sitetitle'));?></h1>
						<?php else: ?>
							<h1><?php echo htmlspecialchars($templateparams->get('sitetitle'));?></h1>
						<?php endif; ?>					
						<h2><?php echo htmlspecialchars($templateparams->get('siteslogan'));?></h2>
						<h3><?php echo htmlspecialchars($templateparams->get('sitedescription'));?></h3>
					</div>
				
					<div id="template_mainmenubar" class="group">
						<?php if($this->countModules('template-mainmenu')) : ?>						
							<div id="template_mainmenu">
								<jdoc:include type="modules" name="template-mainmenu" style="xhtml" />
							</div>
						<?php endif; ?>
					</div>
				</div><!-- end header container -->
				
				<div id="template_ticker_container">
					<?php if($this->countModules('template-ticker')) : ?>
						<div id="template_ticker" class="group">				
							<jdoc:include type="modules" name="template-ticker" style="xhtml" />
						</div>
					<?php endif; ?>
				</div>
				
				<div id="template_container">
				
					<?php if($this->countModules('template-tripletleft') 
						or $this->countModules('template-tripletmiddle') 
						or $this->countModules('template-tripletright')) : ?>
									
						<div id="template_triplet" class="group">
							<div class="tripletleft">
								<?php if($this->countModules('template-tripletleft')) : ?>
									<jdoc:include type="modules" name="template-tripletleft" style="tripletmodule" />
					        	<?php endif; ?>
					       	</div>
					       	<div class="tripletmiddle">
								<?php if($this->countModules('template-tripletmiddle')) : ?>
									<jdoc:include type="modules" name="template-tripletmiddle" style="tripletmodule" />
					        	<?php endif; ?>	
					        </div>			    		        
							<div class="tripletright">
						        <?php if($this->countModules('template-tripletright')) : ?>
									<jdoc:include type="modules" name="template-tripletright" style="tripletmodule" />
						        <?php endif; ?>
					        </div>
						</div>
					<?php endif; ?>
				
					<?php if($this->countModules('template-breadcrumb')) : ?>
						<div id="template_breadcrumb">				
							<jdoc:include type="modules" name="template-breadcrumb" style="none" />
						</div>
					<?php endif; ?>	
					
					<?php if($this->countModules('template-sidebar')) : ?>
						<div id="template_content_container" class="group <?php echo $templateparams->get('columnplace');?>">
							<div id="template_sidebar">							
			        			<jdoc:include type="modules" name="template-sidebar" style="sidebarcontent" />
							</div>
							<div id="template_content">
														
								<?php if($this->countModules('template-content-top')) : ?>	
									<div id="template_content_top">
										<jdoc:include type="modules" name="template-content-top" style="contentmodule" />
									</div>
								<?php endif; ?>								
													
								<div id="template_maincontent">
									<?php $messages = $app->getMessageQueue(); ?>
									<?php if (is_array($messages) && !empty($messages)) : ?>										
										<jdoc:include type="message" />
									<?php endif; ?>
									<jdoc:include type="component" />
								</div>							
								
								<?php if($this->countModules('template-content-bottom')) : ?>	
									<div id="template_content_bottom">
										<jdoc:include type="modules" name="template-content-bottom" style="contentmodule" />
									</div>
								<?php endif; ?>
							</div>
						</div>
					<?php else: ?>
						<div id="template_content_container" class="group">
														
							<?php if($this->countModules('template-content-top')) : ?>	
								<div id="template_content_top">
									<jdoc:include type="modules" name="template-content-top" style="contentmodule" />
								</div>
							<?php endif; ?>			
								
							<div id="template_content" class="fill_container">
								<?php $messages = $app->getMessageQueue(); ?>
								<?php if (is_array($messages) && !empty($messages)) : ?>										
									<jdoc:include type="message" />
								<?php endif; ?>																				
								<jdoc:include type="component" />
							</div>							
								
							<?php if($this->countModules('template-content-bottom')) : ?>	
								<div id="template_content_bottom">
									<jdoc:include type="modules" name="template-content-bottom" style="contentmodule" />
								</div>
							<?php endif; ?>
						</div>
					<?php endif; ?>
					
					<div class="template_spacer"></div>
				
					<?php if($this->countModules('template-tripletbottomleft') 
						or $this->countModules('template-tripletbottommiddle') 
						or $this->countModules('template-tripletbottomright')) : ?>
									
						<div id="template_bottom_triplet" class="group">
							<div class="tripletleft">
								<?php if($this->countModules('template-tripletbottomleft')) : ?>
									<jdoc:include type="modules" name="template-tripletbottomleft" style="tripletmodule" />
					        	<?php endif; ?>
					       	</div>
					       	<div class="tripletmiddle">
								<?php if($this->countModules('template-tripletbottommiddle')) : ?>
									<jdoc:include type="modules" name="template-tripletbottommiddle" style="tripletmodule" />
					        	<?php endif; ?>	
					        </div>			    		        
							<div class="tripletright">
						        <?php if($this->countModules('template-tripletbottomright')) : ?>
									<jdoc:include type="modules" name="template-tripletbottomright" style="tripletmodule" />
						        <?php endif; ?>
					        </div>
						</div>
					<?php endif; ?>
				</div><!-- end container -->				
			</div><!-- end framework -->
		</div><!-- end outer framework -->
				
		<div id="template_framework_footer_outer">
			<div id="template_framework_footer">
				<div id="template_footer_container">	
				
					<?php if($this->countModules('template-quadrupletleft') 
						or $this->countModules('template-quadrupletmiddleleft') 
						or $this->countModules('template-quadrupletmiddleright') 
						or $this->countModules('template-quadrupletright')) : ?>	
									
						<div id="template_quadruplet" class="group">
							<div class="quadrupletleft">
								<?php if($this->countModules('template-quadrupletleft')) : ?>
									<jdoc:include type="modules" name="template-quadrupletleft" style="quadrupletmodule" />
					        	<?php endif; ?>
					       	</div>
					       	<div class="quadrupletmiddleleft">
								<?php if($this->countModules('template-quadrupletmiddleleft')) : ?>
									<jdoc:include type="modules" name="template-quadrupletmiddleleft" style="quadrupletmodule" />
					        	<?php endif; ?>	
					        </div>	
					        <div class="quadrupletmiddleright">
								<?php if($this->countModules('template-quadrupletmiddleright')) : ?>
									<jdoc:include type="modules" name="template-quadrupletmiddleright" style="quadrupletmodule" />
					        	<?php endif; ?>	
					        </div>		    		        
							<div class="quadrupletright">
						        <?php if($this->countModules('template-quadrupletright')) : ?>
									<jdoc:include type="modules" name="template-quadrupletright" style="quadrupletmodule" />
						        <?php endif; ?>
					        </div>
						</div>
					<?php endif; ?>	
			
					<div id="template_footer" class="group">
						<?php if($this->countModules('template-footer')) : ?>
							<jdoc:include type="modules" name="template-footer" style="xhtml" />
						<?php endif; ?>	
						<?php if($this->countModules('template-bottommenu')) : ?>
							<div id="template_bottommenu">
								<jdoc:include type="modules" name="template-bottommenu" style="xhtml" />
							</div>
						<?php endif; ?>			
						<div id="template_copyright">
							<?php if ($templateparams->get('showcopyright')) : ?>
								<span class="copyright">Copyright&nbsp;&copy;&nbsp;
									<?php if ($templateparams->get('copyrightyear')) : ?>
										<?php if ($templateparams->get('copyrightyear') === date("Y")) : ?>
											<?php echo date("Y"); ?>
										<?php else : ?>	
											<?php echo $templateparams->get('copyrightyear');?>-<?php echo date("Y"); ?>
										<?php endif; ?>
									<?php else : ?>
										<?php echo date("Y"); ?>
									<?php endif; ?>								
									&nbsp;							
									<?php if ($templateparams->get('copyrightby')) : ?>
										<?php echo $templateparams->get('copyrightby'); ?>
									<?php else : ?>
										<?php echo $config->getValue('config.sitename'); ?>
									<?php endif; ?>
								</span>
							<?php endif; ?>
							<?php if ($templateparams->get('showcopyright') && $templateparams->get('showpoweredby')) : ?>
								<span class="separator"> | </span>
							<?php endif; ?>	
							<?php if ($templateparams->get('showpoweredby')) : ?>
								<span class="poweredby"><?php echo $templateparams->get('poweredbylabel'); ?></span>&nbsp;								
								<?php if ($templateparams->get('poweredbyurl')) : ?>
									<a href="http://<?php echo $templateparams->get('poweredbyurl'); ?>" target="_blank">
										<?php echo $templateparams->get('poweredbyname'); ?>
									</a>
								<?php else : ?>
									<span><?php echo $templateparams->get('poweredbyname'); ?></span>
								<?php endif; ?>
							<?php endif; ?>
						</div>
					</div>
				</div><!-- end footer container -->				
			</div><!-- end footer framework -->
		</div><!-- end footer outer framework -->
		
		<jdoc:include type="modules" name="template-debug" />
	</body>
</html>
